# Copyright 2014, 2016, 2019 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

l10n(){
  local word
  [ $# -eq 0 ] && read -r word || word="$*"

  case $word in
    newcourse) printf "Neuen Kurs anlegen";;
    time) printf "Uhrzeit";;

    edit_dtscal) printf "&#x2713;";;
    edit) printf "Bearbeiten";;
    ics_export) printf "ICal exportieren";;
    courselist) printf "Kursliste (PDF)";;
    
    course_mail) printf "Mail an Teilnehmende";;
    
    sort_order) printf "Sortierung";;
    order_DOW) printf "Wochentag";;
    order_TOD) printf "Uhrzeit";;
    order_apply) printf "Sortieren";;
    
    t_every) printf "Alle";;
    t_eternal) printf "ewig";;
    t_times) printf "mal";;
    t_until) printf "Bis";;
    t_oclock) printf "Uhr";;

    "Mon Tue Wed Thu Fri Sat Sun") printf "Mo Di Mi Do Fr Sa So";;
    "January February March April May June July August September October November December")
      printf "Januar Februar März April Mai Juni Juli August September Oktober November Dezember";;

    *) l10n_global "$word";;
  esac
}
