# Copyright 2014, 2015, 2016, 2019, 2021 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

l10n(){
  local word
  [ $# -eq 0 ] && read -r word || word="$*"
  case $word in
    cat_remove) printf %s "&#45;";;
    cat_add) printf %s "+";;
    cat_newlabel) printf %s "neue Kategorie";;
    cat_update) printf %s "Zuweisungen übernehmen";;
    categories_label) printf %s "Kategorien";;

    *) l10n_global "$word";;
  esac
}
